Download it now!
Bug 76311 - CALC: If differently formatted cells are selected, Format Cells should register it and not mark any format, so that user may set it
Summary: CALC: If differently formatted cells are selected, Format Cells should regist...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 50760 (view as bug list)
Depends on:
Blocks: Calc-UX Cell-Format-Dialog
  Show dependency treegraph
 
Reported: 2014-03-18 11:05 UTC by Paul Menzel
Modified: 2019-08-30 21:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet to reproduce it (7.85 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-18 11:05 UTC, Paul Menzel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Menzel 2014-03-18 11:05:12 UTC
Created attachment 95993 [details]
Spreadsheet to reproduce it

Reproducible 3.5.4.2 from Debian Wheezy and 4.2.0.4 under Mac OS X.

Having the cells

4
4 €
4 €
4

selecting them and wanting to change the format to »number« for all of them, it does not work. I can only reproduce it when the first cell is formatted as »number«. If it is inverted, changing all to currency or number works fine.

One has to change the format away from Default and then it works too.

It should format everything as numbers even if it is selected already in the dialog.

Please find the example file attached.

1. Select A1–A4
2. Right click and choose »Format Cells…«
3. Hit »OK«
4. Observe, that nothing changed

This looks related to bug 60914 [1], but that is marked as resolved, so I submit a new report. Additionally, in this new report here, it is no refresh problem as the last comment in bug 60914 [1] claims.

[1] https://bugs.freedesktop.org/show_bug.cgi?id=60914
Comment 1 sophie 2014-03-18 15:17:01 UTC
Hi, this is not a bug, if you remove direct formatting , i.e right click the selected range and select Clear direct formatting, then it works as expected and number format is applied again to the cell. This is because you didn't applied a style with currency format but modified punctually the Default style. Default style applies the Number format, and direct formatting takes the precedence on styles. Closing as worksforme - Sophie
Comment 2 Paul Menzel 2014-03-18 23:20:48 UTC
(In reply to comment #1)
> Hi, this is not a bug, if you remove direct formatting , i.e right click the
> selected range and select Clear direct formatting, then it works as expected
> and number format is applied again to the cell. This is because you didn't
> applied a style with currency format but modified punctually the Default
> style. Default style applies the Number format, and direct formatting takes
> the precedence on styles. Closing as worksforme - Sophie

Thanks for the quick reply.

If this is the intended behavior it is broken, so please change this to a feature request to change this behavior.

How should the user know this? My friend, complaining about this and causing me to reproduce and report it, and myself clearly did not get it, so it is too difficult and unexpected.

I’ll take a look how Microsoft Excel is doing this just to be sure if it is done differently elsewhere.
Comment 3 Paul Menzel 2014-03-19 23:34:49 UTC
Checking with Microsoft Excel, when selecting cells with different formatting the `Format Cells…` dialog does not select any format, which makes sense as they are different. I propose to do the same for in LibreOffice as the current behavior is inconsistent, which is never a good user experience.
Comment 4 Kohei Yoshida 2014-05-14 12:37:30 UTC
This is a bug, though it's probably a very old bug.

I think the dialog is not registering that the change has been made to the number format, which is why the caller of the dialog is not applying it to the selection.

I already see this in 3.5, I won't be surprised if we inherited this from OOo.
Comment 5 QA Administrators 2016-02-21 08:37:23 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:19:40 UTC Comment hidden (obsolete)
Comment 7 Timur 2019-02-07 16:13:15 UTC
Repro 6.3+. In line with Comment 3, I change the title.
Comment 8 Timur 2019-07-02 14:30:32 UTC
*** Bug 50760 has been marked as a duplicate of this bug. ***